#embed-social{
    position: fixed;
    bottom: 0.5rem;
    right: 1rem;
    z-index: 20;
}

.embed-box{
    position: fixed;
    z-index: 20;
}

#box-email{
    bottom: 6.5rem;
    right: 0.5rem;
}

#box-youtube{
    bottom: 5.5rem;
    right: 3rem;
}

#box-chat{
    bottom: 3.5rem;
    right: 5rem;
}

#box-twitter{
    bottom: 0.5rem;
    right: 6rem;
}

.embed-box{
    font-size: 1.2rem;
    width: 40px;
    height: 40px;
    border-radius: 50%;
    display: flex;
    align-items: center;
    justify-content: center;
    /* transition: 0.1s all; */
    margin-bottom: 0.3rem;
    cursor: pointer;
}

.embed-core{
    font-size: 1.5rem;
    width: 55px;
    height: 55px;
    border-radius: 50%;
    display: flex;
    align-items: center;
    justify-content: center;
    /* transition: 0.1s all; */
    margin-bottom: 0.3rem;
    cursor: pointer;
}

.embed-box{
    display: none;
}

.embed-box .fab, .embed-box .far, .embed-box .fas, .embed-core{
    color: white;
}

.embed-box:hover .fab,.embed-box:hover .far,.embed-box:hover .fas, .embed-core:hover{
    color: lightgray;
}

#box-embed{
    background-color: teal;
}

#box-embed.active{
    background-color: lightslategray;
}

#embed-content{
    display: none;
    position: fixed;
    background-color: rgba(0, 0, 0, 0.6);
    width: 100%;
    height: 100%;
    justify-content: center;
    align-items: center;
}

#embeded-twitter{
    display: none;
    position: fixed;
    background-color: rgba(0, 0, 0, 0.6);
    width: 100%;
    height: 100%;
    justify-content: center;
    align-items: center;
    z-index: 50;
}

/* twitter */

#box-twitter{
    background-color: skyblue;
}

#box-twitter.active{
    display: block!important;
    width: 20%;
    height: 25rem;
    border-radius: 0;
    right: 1rem;
    bottom: -5px;
}

#box-twitter iframe{
    width: 100%;
    height: 90%;
}

#embed-twitter{
    width: 100%;
    height: 90%;
}

.title-twitter{
    background-color: skyblue;
    height: 10%;
    font-size: 1.2rem;
    font-weight: 700;
    color: white;
    text-align: center;
    display: flex;
    align-items: center;
    justify-content: center;
}

.title-twitter span{
    position: absolute;
    right: 1rem;
}

.title-twitter span:hover{
    color: red;
}

/* youtube */
#box-youtube{
    background-color: red;
}

#box-youtube:hover{
    text-decoration: none!important;
}

/* chat */
#box-chat{
    background-color: greenyellow;
}

#box-chat:hover{
    text-decoration: none!important;
}

#box-chat.active{
    display: block!important;
    width: 100%;
    height: 30rem;
    background-color: white;
    border-radius: 0;
}

#box-chat iframe{
    width: 100%;
    height: 100%;
}

/* email */
#box-email{
    background-color: goldenrod;
}

.output-embed{
    width: 100%;
    height: 100%;
    background-color: white;
}

#form-email{
    background-color: white;
    border-radius: 2rem;
    width: 30%;
    height: 80%;
    display: flex;
    justify-content: center;
    align-items: center;
    padding:2rem;
}

#form-email input, #form-email textarea, #form-email button{
    width: 100%;
}

#form-email span{
    position: absolute;
    top: 1rem;
    right: 2rem;
    font-size: 3rem;
    color: white;
}

#form-email #close-embed:hover{
    color: red;
}

#title-email{
    font-size: 2rem;
    font-weight: 700;
    width: 100%;
    padding-bottom: 2.5rem;
    text-align: center;
}

#form-email button{
    font-weight: 700;
    color: white;
    background-color: red;
    padding: 0.5rem;
    border-radius: 2rem;
}

#form-email{
    position: relative;
}

#form-email button:hover{
    color: lightgray;
}

#form-email button:focus{
    outline: none;
}

#form-email #close-embed{
    color: lightgray;
}

@media screen and (max-width: 995px){
    .embed-box{
        width: 45px;
        height: 45px;
    }
    
    .embed-box .fab, .embed-box .far, .embed-box .fas{
        font-size: 1.45rem;
    }

    #form-email{
        background-color: white;
        border-radius: 2rem;
        width: 80%;
        height: 80%;
        display: flex;
        justify-content: center;
        align-items: center;
        padding:1rem;
    }

    #title-email{
        font-size: 1.3rem;
        font-weight: 700;
        width: 100%;
        padding-bottom: 2rem;
        text-align: center;
    }

    #form-email #close-embed{
        font-size: 2rem;
    }
}

@media screen and (max-width: 575px){
    #box-twitter.active{
        right: 0;
        width: 100%;
        /* padding-left: 2rem; */
        /* padding-right: 2rem; */
    }

    #box-email{
        bottom: 6.7rem;
        right: 0.3rem;
    }
    
    #box-youtube{
        bottom: 5.5rem;
        right: 3rem;
    }
    
    #box-chat{
        bottom: 3.5rem;
        right: 5.2rem;
    }
    
    #box-twitter{
        bottom: 0.8rem;
        right: 6.2rem;
    }
}

@media screen and (min-width: 576px) and (max-width: 991px){
    #box-twitter.active{
        width: 40%;
    }
}